%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
# debuginfo would be empty
%global debug_package %{nil}
%global module PyMTP

Name:           python-pymtp
Version:        0.0.6
Release:        4%{?dist}
Summary:        A Pythonic wrapper around libmtp

Group:          Development/Libraries
License:        GPLv3+
URL:            https://pypi.python.org/pypi/%{module}
Source0:        https://pypi.python.org/packages/source/P/PyMTP/PyMTP-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Depend on the libmtp soname provides of the correct arch
%global libmtp libmtp.so.9
%ifarch x86_64 ppc64 ia64 sparc64 s390x
%global mark64 ()(64bit)
%endif

BuildRequires:  python-devel
Requires:       %{libmtp}%{?mark64}

%description
A Pythonic wrapper around libmtp, allowing python applications to communicate
with MTP devices.

%prep
%setup -q -n %{module}-%{version}
# Examples are documentation, remove executable permission
chmod -x examples/*
# Remove the shebang to silence rpmlint
sed -i '1d' pymtp.py

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
# Install into python_sitearch for the arch-specific dependency
%{__python} setup.py install -O1 --skip-build --install-purelib $RPM_BUILD_ROOT%{python_sitearch}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING examples
%{python_sitearch}/pymtp.*
%{python_sitearch}/*.egg-info

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Oct 17 2013 Abel Luck <abel@outcomedubious.im> - 0.0.6-1
- Update to latest version
- Remove uneeded patch

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 13 2011 Linus Walleij <triad@df.lth.se> 0.0.4-3
- Rebuilt for new - run-time compatible - libmtp

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 15 2011 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.0.4-1
- Bump release for the first Fedora build

* Mon Nov 01 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.0.4-0.3
- Make the package arch-dependent and depend on the libmtp.so.8 soname
- Remove the shebang from pylint.py

* Fri Oct 15 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.0.4-0.2
- Use Debian's patch, which also fixes the examples
- Add Requires: libmtp

* Wed Oct 13 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.0.4-0.1
- Initial Fedora package
